package com.framework.mvvm.model.db.entity

/**
 * 数据公共字段约束
 */
interface BaseEntity {
    val id: String               // id
    var valid: Int?              // 有效标识, // 1 正常 0 删除
    var creator: String?         // 创建人
    var creationTime: String?    // 创建时间
    var modifier: String?        // 修改人
    var modifiedTime: String?    // 修改时间
    var uploadFlag: String?      // 设备唯一标识
    var state: String?            // 数据状态：0：未处理，1：已处理过 2：已上传
    val projectId: String?       // 项目id
    val buildingId: String?      // 建筑id
    val floorId: String?         // 楼层id
}