package com.framework.mvvm.model.db.entity.task

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import com.framework.mvvm.model.db.entity.BaseEntity

/**
 * 关系(业务)表
 */
@Entity(tableName = "relation")
data class RelationEntity(
    @PrimaryKey @ColumnInfo(name = "id") override val id: String,
    @ColumnInfo(name = "project_id") override val projectId: String?,
    @ColumnInfo(name = "building_id") override val buildingId: String?,
    @ColumnInfo(name = "floor_id") override val floorId: String?,
    @ColumnInfo(name = "state") override var state: String? = "0",
    @ColumnInfo(name = "upload_flag") override var uploadFlag: String?,
    @ColumnInfo(name = "valid") override var valid: Int?,
    @ColumnInfo(name = "creator") override var creator: String?,
    @ColumnInfo(name = "creation_time") override var creationTime: String?,
    @ColumnInfo(name = "modifier") override var modifier: String?,
    @ColumnInfo(name = "modified_time") override var modifiedTime: String?,
    @ColumnInfo(name = "group_code") val groupCode: String?,         // 集团代码
    @ColumnInfo(name = "graph_id") val graphId: String?,             // 图id
    @ColumnInfo(name = "graph_code") val graphCode: String?,         // 图编码
    @ColumnInfo(name = "rel_code") val relCode: String?,             // 关系编码
    @ColumnInfo(name = "rel_value") val relValue: String?,           // 关系值
    @ColumnInfo(name = "obj_from") val objFrom: String?,             // 关系源对象
    @ColumnInfo(name = "obj_to") val objTo: String?,                 // 关系目标对象
    @ColumnInfo(name = "create_app") val createApp: String?,         // 创建关系的App
    @ColumnInfo(name = "update_app") val updateApp: String?,         // 更新关系的App
    @ColumnInfo(name = "client_id") val clientId: String?,           // 客户端生成id
    @ColumnInfo(name = "client_device") val clientDevice: String?,   // 标识客户端设备
    @ColumnInfo(name = "delivery_state") val deliveryState: Int?,    // BDTP交付状态: 1 已交付, 0 待交付
    @ColumnInfo(name = "d2m_state") val d2mState: Int?,              // 逆向数据的数模同步状态(0:未同步;1:已同步)
    var objFromLocalId: String?,
    var objToLocalId: String?,
) : BaseEntity
